### Method

# Camel Folder dup_uncached_uids

since: 3.58

#### Declaration [src]

    GPtrArray*
    camel_folder_dup_uncached_uids (
      CamelFolder* folder,
      GPtrArray* uids,
      GError** error
    )

#### Description [src]

Returns the known-uncached uids from a list of uids. It may return uids which are locally cached but should never filter out a uid which is not locally cached.

Free the result with g_ptr_array_unref(), when no longer needed.

Available since: 3.58

#### Parameters

`uids`

  Type: An array of `utf8`

  The array of uids to filter down to uncached ones.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

A new `GPtrArray` with UID-s, which are not cached locally.

The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.